Debian Bug report logs - #638157
nfs-kernel-server: attempt to mount -t nfs4 -o sec=krb5 hangs on squeeze, works with nfs-utils from testing

version graph

Package: nfs-kernel-server; Maintainer for nfs-kernel-server is Debian kernel team <debian-kernel@lists.debian.org>; Source for nfs-kernel-server is src:nfs-utils.

Reported by: "Andreas B. Mundt" <andi.mundt@web.de>

Date: Wed, 17 Aug 2011 08:42:02 UTC

Severity: important

Tags: patch

Found in version nfs-utils/1:1.2.2-4

Fixed in versions nfs-utils/1:1.2.6-3, nfs-utils/1:1.2.8-2

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#638157; Package nfs-kernel-server. (Wed, 17 Aug 2011 08:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi.mundt@web.de>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 17 Aug 2011 08:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi.mundt@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nfs-kernel-server: attempt to mount -t nfs4 -o sec=krb5 hangs on squeeze, works with nfs-utils from testing
Date: Wed, 17 Aug 2011 10:38:52 +0200
Package: nfs-kernel-server
Version: 1:1.2.2-4
Severity: important

Hi, 

I observed the following after installing a Debian Squeeze network on
virtual machines:

After switching on sec=krb5 for the NFSv4 mounts, the mount process
hangs immeditely, it doesn't return at all:

root@workstation00:~# mount -t nfs4 -o sec=krb5 mainserver:/home0 /mnt

No error, nothing.  Ctrl-c brings you back to the command line.  The
same when logging in, as the automounter tries to mount the home
directory: After entering the password nothing happens.

I tried to find the reason and checked logs with rpc.gssd -fvvvv -rrr  
and rpc.svcgssd -fvvv, but could not find any indication there,
anything seems to work as expected.

I tried the kernel 2.6.38-bpo.2-686 from backports, same results.

Finally I installed the nfs-common and nfs-kernel-server from testing
on the nfs-server: 
ii  nfs-common         1:1.2.4-1
ii  nfs-kernel-server  1:1.2.4-1

And without further changes anything worked as expected.  Something
comparable (with some patch) is described here:
<URL:http://www.spinics.net/lists/linux-nfs/msg14723.html>, same
nfs-utils 1.2.2
 
It would be great if that could be fixed for squeeze.  If I can help
with more debug info, testing or full logs, please let me know.

Best regards,

     Andi



-- Package-specific info (after installing packages from backports/testing):
-- rpcinfo --
root@mainserver:~# rpcinfo
   program version netid     address                service    owner
    100000    4    tcp6      ::.0.111               portmapper superuser
    100000    3    tcp6      ::.0.111               portmapper superuser
    100000    4    udp6      ::.0.111               portmapper superuser
    100000    3    udp6      ::.0.111               portmapper superuser
    100000    4    tcp       0.0.0.0.0.111          portmapper superuser
    100000    3    tcp       0.0.0.0.0.111          portmapper superuser
    100000    2    tcp       0.0.0.0.0.111          portmapper superuser
    100000    4    udp       0.0.0.0.0.111          portmapper superuser
    100000    3    udp       0.0.0.0.0.111          portmapper superuser
    100000    2    udp       0.0.0.0.0.111          portmapper superuser
    100000    4    local     /var/run/rpcbind.sock  portmapper superuser
    100000    3    local     /var/run/rpcbind.sock  portmapper superuser
    100024    1    udp       0.0.0.0.217.30         status     103
    100024    1    tcp       0.0.0.0.227.137        status     103
    100024    1    udp6      ::.147.207             status     103
    100024    1    tcp6      ::.235.58              status     103
    100003    2    udp       0.0.0.0.8.1            nfs        superuser
    100003    3    udp       0.0.0.0.8.1            nfs        superuser
    100003    4    udp       0.0.0.0.8.1            nfs        superuser
    100227    2    udp       0.0.0.0.8.1            -          superuser
    100227    3    udp       0.0.0.0.8.1            -          superuser
    100003    2    tcp       0.0.0.0.8.1            nfs        superuser
    100003    3    tcp       0.0.0.0.8.1            nfs        superuser
    100003    4    tcp       0.0.0.0.8.1            nfs        superuser
    100227    2    tcp       0.0.0.0.8.1            -          superuser
    100227    3    tcp       0.0.0.0.8.1            -          superuser
    100021    1    udp       0.0.0.0.159.30         nlockmgr   superuser
    100021    3    udp       0.0.0.0.159.30         nlockmgr   superuser
    100021    4    udp       0.0.0.0.159.30         nlockmgr   superuser
    100021    1    tcp       0.0.0.0.191.167        nlockmgr   superuser
    100021    3    tcp       0.0.0.0.191.167        nlockmgr   superuser
    100021    4    tcp       0.0.0.0.191.167        nlockmgr   superuser
    100005    1    udp       0.0.0.0.192.8          mountd     superuser
    100005    1    tcp       0.0.0.0.212.240        mountd     superuser
    100005    1    udp6      ::.190.124             mountd     superuser
    100005    1    tcp6      ::.170.160             mountd     superuser
    100005    2    udp       0.0.0.0.232.249        mountd     superuser
    100005    2    tcp       0.0.0.0.136.54         mountd     superuser
    100005    2    udp6      ::.224.6               mountd     superuser
    100005    2    tcp6      ::.230.114             mountd     superuser
    100005    3    udp       0.0.0.0.227.84         mountd     superuser
    100005    3    tcp       0.0.0.0.195.233        mountd     superuser
    100005    3    udp6      ::.164.5               mountd     superuser
    100005    3    tcp6      ::.137.104             mountd     superuser
root@mainserver:~# 

-- /etc/default/nfs-kernel-server --
RPCNFSDCOUNT=8
RPCNFSDPRIORITY=0
RPCMOUNTDOPTS=--manage-gids
NEED_SVCGSSD=yes
RPCSVCGSSDOPTS="-vvv -rrr"

-- /etc/exports --
/srv/fai/nfsroot  10.0.0.0/8(async,ro,no_subtree_check,no_root_squash)
/srv/fai/config  10.0.0.0/8(async,ro,no_subtree_check,no_root_squash)
/srv/nfs4 10.0.0.0/8(sec=krb5p:krb5i:krb5:sys,rw,fsid=0,crossmnt,no_subtree_check)
/srv/nfs4/home0 10.0.0.0/8(sec=krb5p:krb5i:krb5:sys,rw,no_subtree_check)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#638157; Package nfs-kernel-server. (Wed, 17 Aug 2011 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi.mundt@web.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 17 Aug 2011 13:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 638157@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi.mundt@web.de>
To: 638157@bugs.debian.org
Subject: nfs-kernel-server: attempt to mount -t nfs4 -o sec=krb5 works with patch
Date: Wed, 17 Aug 2011 15:36:16 +0200
[Message part 1 (text/plain, inline)]
Tags: patch

Hi,

I tried the patch on the nfs-utils_1.2.2-4 package source
mentioned in my first mail.  It seems to fix the issue.

Best regards,

     Andi
[patch (text/plain, attachment)]

Added tag(s) patch. Request was from "Andreas B. Mundt" <andi.mundt@web.de> to control@bugs.debian.org. (Thu, 18 Aug 2011 19:24:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#638157; Package nfs-kernel-server. (Mon, 28 Nov 2011 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hughe Chung <maildeliveragent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 28 Nov 2011 14:21:04 GMT) Full text and rfc822 format available.

Message #17 received at 638157@bugs.debian.org (full text, mbox):

From: Hughe Chung <maildeliveragent@gmail.com>
To: Debian Bug Tracking System <638157@bugs.debian.org>
Subject: nfs-common: NFSv4 hung up other progams when the server disconnected.
Date: Mon, 28 Nov 2011 23:18:22 +0900
Package: nfs-common
Version: 1:1.2.2-4
Severity: normal


When the network file server is shut down or disconnected, nfs daemon makes 
other programs in client hung up when they access directories. Unless manually 
unmount the directory by 'sudo umount -fl /media/nfs.'

Programs that shows hung up includes: df, ls, vlc, and etc. Opening files
freezes the program. autofs5 doesn't handle the server disconnection
gracefully. 

Secondly it prevents pm-suspend putting the system in sleep mode. 

Nov 27 17:24:46 theblue kernel: [66832.357238]  [<ffffffffa051cc76>]
nfs_revalidate_inode+0x36/0x60 [nfs]
Nov 27 17:24:46 theblue kernel: [66832.357248]  [<ffffffffa051d34f>]
nfs_getattr+0x5f/0x110 [nfs]
Nov 27 17:24:46 theblue kernel: [66832.357251]  [<ffffffff811426fe>]
vfs_getattr+0x4e/0x80
Nov 27 17:24:46 theblue kernel: [66832.357254]  [<ffffffff811427a0>]
vfs_fstatat+0x70/0x90
Nov 27 17:24:46 theblue kernel: [66832.357258]  [<ffffffff810f141f>] ?
free_pages+0x4f/0x60
Nov 27 17:24:46 theblue kernel: [66832.357260]  [<ffffffff8114289b>]
vfs_stat+0x1b/0x20
Nov 27 17:24:46 theblue kernel: [66832.357263]  [<ffffffff811428c4>]
sys_newstat+0x24/0x50
Nov 27 17:24:46 theblue kernel: [66832.357267]  [<ffffffff815309ab>]
system_call_fastpath+0x16/0x1b

I added extra options "nolock,_netdev,proto=tcp,hart" to fix pm-suspend and hung-up problem in /etc/fstab followed by:
 # mini 192.168.1.101
 mini:/archive /media/nfs nfs
 nolock,_netdev,proto=tcp,hard,intr,rsize=8192,wsize
 =8192      0   0

Also created a NFS mount daemon script that checks the server is alive.
/usr/local/bin/nfs-mount
#!/bin/bash
# 11/28/2011
# Trouble shooting of NFS hung by pm-suspend, df, other programs when NFS is dow
n.


# The hostname or IP-address of the fileserver:
# IP is 192.168.1.101
NFS="mini"

# Check every X seconds (60 is a good default):
INTERVAL=60

# The shares that need to be mounted:
SHARED_DIR="/archive"
MOUNT_DIR="/media/nfs"

while true; do
    ping -c 1 "$NFS" &>/dev/null
    if [ $? -eq 0 ]; then
        # Fileserver is up.
        logger "File server: $NFS is up."
        # mount -t nfs ${NFS}:${SHARED_DIR} ${MOUNT_DIR}
        mount ${NFS}:${SHARED_DIR}
 else
        # Fileserver is down.
        logger "Fileserver: $NFS is down."
        umount -fl ${MOUNT_DIR}
        if [ $? -eq 0 ]; then
                logger "$MOUNT_DIR" unmouted.
        else
                logger "$MOUNT_DIR" unmouting failed.
        fi
    fi
    sleep $INTERVAL
done
## end of nfs-mount 


-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (1001, 'stable'), (650, 'testing'), (500, 'stable-updates')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39amd64hp (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nfs-common depends on:
ii  adduser             3.112+nmu2           add and remove users and groups
ii  initscripts         2.88dsf-13.1         scripts for initializing and shutt
ii  libc6               2.11.2-10            Embedded GNU C Library: Shared lib
ii  libcap2             1:2.19-3             support for getting/setting POSIX.
ii  libcomerr2          1.41.12-4stable1     common error description library
ii  libevent-1.4-2      1.4.13-stable-1      An asynchronous event notification
ii  libgssapi-krb5-2    1.8.3+dfsg-4squeeze2 MIT Kerberos runtime libraries - k
ii  libgssglue1         0.1-4                mechanism-switch gssapi library
ii  libk5crypto3        1.8.3+dfsg-4squeeze2 MIT Kerberos runtime libraries - C
ii  libkrb5-3           1.8.3+dfsg-4squeeze2 MIT Kerberos runtime libraries
ii  libnfsidmap2        0.23-2               An nfs idmapping library
ii  librpcsecgss3       0.19-2               allows secure rpc communication us
ii  libwrap0            7.6.q-19             Wietse Venema's TCP wrappers libra
ii  lsb-base            3.2-23.2squeeze1     Linux Standard Base 3.2 init scrip
ii  netbase             4.45                 Basic TCP/IP networking system
ii  portmap             6.0.0-2              RPC port mapper
ii  ucf                 3.0025+nmu1          Update Configuration File: preserv

nfs-common recommends no packages.

nfs-common suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#638157; Package nfs-kernel-server. (Mon, 28 Nov 2011 16:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 28 Nov 2011 16:03:17 GMT) Full text and rfc822 format available.

Message #22 received at 638157@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Hughe Chung <maildeliveragent@gmail.com>, 638157@bugs.debian.org
Subject: Re: Bug#638157: nfs-common: NFSv4 hung up other progams when the server disconnected.
Date: Mon, 28 Nov 2011 15:58:40 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2011-11-28 at 23:18 +0900, Hughe Chung wrote:
> Package: nfs-common
> Version: 1:1.2.2-4
> Severity: normal
> 
> 
> When the network file server is shut down or disconnected, nfs daemon makes 
> other programs in client hung up when they access directories. Unless manually 
> unmount the directory by 'sudo umount -fl /media/nfs.'

This is the intended behaviour.  You can override it by using the 'soft'
mount option, but this is not recommended.

> Programs that shows hung up includes: df, ls, vlc, and etc. Opening files
> freezes the program. autofs5 doesn't handle the server disconnection
> gracefully. 
> 
> Secondly it prevents pm-suspend putting the system in sleep mode. 

I believe this is a kernel bug (not a bug in nfs-common).

[...]
> I added extra options "nolock,_netdev,proto=tcp,hart" to fix
> pm-suspend and hung-up problem in /etc/fstab followed by:
>  # mini 192.168.1.101
>  mini:/archive /media/nfs nfs
>  nolock,_netdev,proto=tcp,hard,intr,rsize=8192,wsize
>  =8192      0   0
[...]

And did this make a difference?

Ben.

-- 
Ben Hutchings
Tomorrow will be cancelled due to lack of interest.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 28 Nov 2011 16:03:20 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1:1.2.2-4squeeze1, send any further explanations to "Andreas B. Mundt" <andi.mundt@web.de> Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sun, 22 Jan 2012 14:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#638157; Package nfs-kernel-server. (Tue, 03 Apr 2012 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi.mundt@web.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 03 Apr 2012 13:51:03 GMT) Full text and rfc822 format available.

Message #31 received at 638157@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi.mundt@web.de>
To: control@bugs.debian.org, 638157@bugs.debian.org
Subject: still an issue here
Date: Tue, 3 Apr 2012 15:51:07 +0200
reopen 638157
thanks

Hi,

for me this is still an issue.  Fresh installation, real hardware,
standard squeeze on client and server with nfs-common_1.2.2-4squeeze2
and nfs-kernel-server_1.2.2-4squeeze2 .

As I described above, the mount hangs:

root@workstation00:~# mount -t nfs4 -o sec=krb5i mainserver:home0 /mnt

Login on the client is not possible, as the automounter tries mounting
the home directory and never returns.

I fetched the source package nfs-utils_1.2.2-4squeeze2 , applied the
patch already attached (it still fits the sources) and installed the
patched packages on the server:  Anything works as expected: login and
mounting on the clients.  I have a system with patched packages
working fine in production since ~half a year.

It's strange that my setup seems to be so special that it's only me
seeing that issue.


Any help or pointers to work around are appreciated.

Best regards,

     Andi






Bug reopened Request was from "Andreas B. Mundt" <andi.mundt@web.de> to control@bugs.debian.org. (Tue, 03 Apr 2012 13:51:09 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions nfs-utils/1:1.2.2-4squeeze1. Request was from "Andreas B. Mundt" <andi.mundt@web.de> to control@bugs.debian.org. (Tue, 03 Apr 2012 13:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#638157; Package nfs-kernel-server. (Tue, 03 Apr 2012 16:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi.mundt@web.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 03 Apr 2012 16:51:03 GMT) Full text and rfc822 format available.

Message #40 received at 638157@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi.mundt@web.de>
To: 638157@bugs.debian.org
Subject: some pointers
Date: Tue, 3 Apr 2012 18:49:18 +0200
Hi,

there is some more information regarding the issue on the linux-nfs
mailing list starting with:

    http://www.spinics.net/lists/linux-nfs/msg24811.html

and ending here:

    http://www.spinics.net/lists/linux-nfs/msg24914.html

A fix for squeeze would be great.

Best regards,

     Andi




Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 08 Apr 2012 21:48:13 GMT) Full text and rfc822 format available.

Marked as fixed in versions nfs-utils/1:1.2.6-3. Request was from luk@debian.org (Luk Claes) to control@bugs.debian.org. (Fri, 10 May 2013 08:39:11 GMT) Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Mon, 13 May 2013 18:06:04 GMT) Full text and rfc822 format available.

Notification sent to "Andreas B. Mundt" <andi.mundt@web.de>:
Bug acknowledged by developer. (Mon, 13 May 2013 18:06:05 GMT) Full text and rfc822 format available.

Message #49 received at 638157-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 638157-close@bugs.debian.org
Subject: Bug#638157: fixed in nfs-utils 1:1.2.8-2
Date: Mon, 13 May 2013 18:02:51 +0000
Source: nfs-utils
Source-Version: 1:1.2.8-2

We believe that the bug you reported is fixed in the latest version of
nfs-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638157@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated nfs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 13 May 2013 19:46:42 +0200
Source: nfs-utils
Binary: nfs-kernel-server nfs-common
Architecture: source amd64
Version: 1:1.2.8-2
Distribution: unstable
Urgency: medium
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 nfs-common - NFS support files common to client and server
 nfs-kernel-server - support for NFS kernel server
Closes: 638157 707908 707960 708156
Changes: 
 nfs-utils (1:1.2.8-2) unstable; urgency=medium
 .
   * Fix reportbug scripts to use rpcinfo in /usr/sbin.
   * Add id_resolver.conf to fix nfsidmap invocation
     (Closes: #708156, #638157, #707960).
   * Remove autogenerated roff as nfsdcltrack.man is meant to be used
     as the actual source according to author (Closes: #707908).
Checksums-Sha1: 
 b7b40569b221c91d88557b9a6023121ba5e7a021 2263 nfs-utils_1.2.8-2.dsc
 099ac2249faa5a02f4b375c487546e5a219a02cd 38033 nfs-utils_1.2.8-2.debian.tar.bz2
 f2ebfda07f46858c8683d2e41893d28307ad7aa1 144776 nfs-kernel-server_1.2.8-2_amd64.deb
 16945acdb8e4e3ceaadc330faf067df721a610aa 271020 nfs-common_1.2.8-2_amd64.deb
Checksums-Sha256: 
 ce374c1b5c32f84e7802e83e29e5089ef04665dd4b6e29a01aa927473ccb7540 2263 nfs-utils_1.2.8-2.dsc
 84e90889e401bc1b27b68677a61edfe7dd62d2243ed43f639dbca534a9972e92 38033 nfs-utils_1.2.8-2.debian.tar.bz2
 bac081bc4fbde32d1bb9ea582f02c399c50ec5fa1f94814e044f02b3b0bf1b6a 144776 nfs-kernel-server_1.2.8-2_amd64.deb
 a2b8aa1d4c123f71af347c8f37e2b56094b68fecee82de35c7a0e8b8f9b2f750 271020 nfs-common_1.2.8-2_amd64.deb
Files: 
 50a1e44f3afe830b5836b6d030986a37 2263 net standard nfs-utils_1.2.8-2.dsc
 4e5eca1f4ee4429b981e037b1c18a55e 38033 net standard nfs-utils_1.2.8-2.debian.tar.bz2
 439d9927e9b25f834f9d7ea701a81e03 144776 net optional nfs-kernel-server_1.2.8-2_amd64.deb
 8b0e68894293bd176f0abe8d7d5196d3 271020 net standard nfs-common_1.2.8-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRkSjHAAoJECEnNxubsjBieJoP/i/uOvk54rZrqT/NOnl/Jt8g
G60f77s1MrY6cv5cfR3MWX2GgN3H5I6tsNaXkq34TW+L53nTJvnzMj3Y0yxZGwiq
kWaoQ+NI3QjFqMjxcyFgqJwM4jKoiYB3a/HCKetJC0m+XyN67OcqHRr0hI3IZ7y+
60oKv/1Wmmw3sYsUeVp5wb4ENt2ibqYi6V8tiq5ckSVHTN9uyCNqRfohWkP1vzXR
U9B+kBywCkrNSiyAzkn3hqZb6rtZFeGlJnFdBzFguLEzqG+srUSiDGvOFkT7D3cW
8r6mztrSBXgoDsS6HFYy9cpfKRY/PCANsrITqT/QUopVUvK5yKiZSxsNlS3B4VMz
08CNQ5/iUt1pvjd6PaztAJjagW8PMQFQmDkgTdiZMMm66o7YPov2ImlrhhkSSkBS
EGAM5sBefXMWJ36JxpLWd7GEixJsYOX7ebOap7reZ1YK17cG27qcajrkwYWc1tgE
MYoFlBZAffS6qgvkNJ7qZWRIlXuYLB0KMRo4KUl5CxCkBOa3j/MYWojqmRWmgzq1
j5TPzDBXBHcVWzSR8eKi95qXRNI5PeKhealntCY3EtmnqAqAN6Cb1OB3Rd9OFMVj
HFC8hbnFmWj/0Oz0+RML+d84H+jFf+ZJY8QMvZa02BgL/toqMn/srn+FTitE26K2
+kkjos/EwOXAqZf7AfHO
=g5AR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Jun 2013 07:29:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:11:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.